> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出组织和 repo 层级的蓝图

<div id="permissions">
  ## 权限
</div>

需要服务用户在组织级别具有 `ManageRepoBlueprints` 权限。


## OpenAPI

````yaml zh/v3-openapi.yaml GET /v3beta1/organizations/{org_id}/snapshot-setup/blueprints
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/blueprints:
    get:
      tags:
        - snapshot_setup
      summary: 列出组织和 repo 层级的蓝图
      operationId: >-
        list_org_blueprints_v3beta1_organizations__org_id__snapshot_setup_blueprints_get
      parameters:
        - description: 组织 ID（前缀：org-）
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - description: 筛选特定代码仓库（例如“org/repo”）。
          in: query
          name: repo_name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 筛选特定代码仓库（例如“org/repo”）。
            title: Repo Name
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlueprintList'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    BlueprintList:
      description: 蓝图的列表响应封装（按执行顺序返回）。
      properties:
        data:
          items:
            $ref: '#/components/schemas/Blueprint'
          title: Data
          type: array
      required:
        - data
      title: BlueprintList
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Blueprint:
      description: |-
        公开的 ``Blueprint`` 资源结构。

        注意：``type`` 枚举未来可能会扩展；客户端 MUST 以优雅方式
        处理未知值。YAML 内容需通过
        ``GET /blueprints/{id}/contents`` 单独获取。
      properties:
        blueprint_id:
          title: Blueprint Id
          type: string
        created_at:
          title: Created At
          type: integer
        repo_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Name
        type:
          enum:
            - enterprise
            - org
            - repo
          title: Type
          type: string
        updated_at:
          title: Updated At
          type: integer
      required:
        - blueprint_id
        - type
        - repo_name
        - created_at
        - updated_at
      title: Blueprint
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````